Debian Bug report logs - #470642
libwww-mechanize-ruby1.8: uri scheme is case sensitive

version graph

Package: libwww-mechanize-ruby1.8; Maintainer for libwww-mechanize-ruby1.8 is Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>; Source for libwww-mechanize-ruby1.8 is src:ruby-mechanize.

Reported by: Saku Ytti <ytti@mx.ytti.net>

Date: Wed, 12 Mar 2008 12:39:19 UTC

Severity: normal

Found in version libwww-mechanize-ruby/0.7.2-1

Fixed in version libwww-mechanize-ruby/0.7.5-1

Done: Ari Pollak <ari@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ari Pollak <ari@debian.org>:
Bug#470642; Package libwww-mechanize-ruby1.8. Full text and rfc822 format available.

Acknowledgement sent to Saku Ytti <ytti@mx.ytti.net>:
New Bug report received and forwarded. Copy sent to Ari Pollak <ari@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Saku Ytti <ytti@mx.ytti.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libwww-mechanize-ruby1.8: uri scheme is case sensitive
Date: Wed, 12 Mar 2008 14:38:49 +0200
Package: libwww-mechanize-ruby1.8
Version: 0.7.2-1
Severity: normal

I'm opening
'http://www.cisco.com/cgi-bin/Support/Bugtool/bugnav2.pl?swver1=&fset1=&severity1=&resultsperpage1=&target1=&train1=&swver=%3F&target=%3F&train=%3F&mdf_label=Cisco+IOS+Releases&rneflag=0&swver2=%3F&target2=%3F&train2=%3F&fset=%3F&operator=and&resultsperpage=500&severity=%3C%3D+6&statusO=O&statusF=F&statusUC=UC&statusJ=J&statusD=D&Submit=+++Next+++&cco_product=IOS'
which redirects to web form based authentication, when I authenticate,
mechanize raises exception:

/usr/lib/ruby/1.8/www/mechanize.rb:432:in `fetch_request': unsupported scheme (RuntimeError)

This is because the scheme actually was HTTP. I made following change to
mechanize.rb which actually fixes the problem and provides better debug.

432c432
<       raise "unsupported scheme: #{uri.scheme}" unless ['http', 'https'].include?(uri.scheme.downcase)
---
>       raise "unsupported scheme" unless ['http', 'https'].include?(uri.scheme)
442c442
<       raise "unsupported scheme: #{uri.scheme}" unless ['http', 'https'].include?(uri.scheme.downcase)
---
>       raise "unsupported scheme" unless ['http', 'https'].include?(uri.scheme)


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.18-6-xen-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB.ISO-8859-15, LC_CTYPE=fi_FI (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages libwww-mechanize-ruby1.8 depends on:
ii  libhpricot-ruby1.8           0.6-1       A fast, enjoyable HTML parser
ii  libopenssl-ruby1.8           1.8.6.114-1 OpenSSL interface for Ruby 1.8
ii  ruby1.8                      1.8.6.114-1 Interpreter of object-oriented scr

libwww-mechanize-ruby1.8 recommends no packages.

-- debconf-show failed




Reply sent to Ari Pollak <ari@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Saku Ytti <ytti@mx.ytti.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 470642-close@bugs.debian.org (full text, mbox):

From: Ari Pollak <ari@debian.org>
To: 470642-close@bugs.debian.org
Subject: Bug#470642: fixed in libwww-mechanize-ruby 0.7.5-1
Date: Sat, 15 Mar 2008 21:02:03 +0000
Source: libwww-mechanize-ruby
Source-Version: 0.7.5-1

We believe that the bug you reported is fixed in the latest version of
libwww-mechanize-ruby, which is due to be installed in the Debian FTP archive:

libwww-mechanize-ruby-doc_0.7.5-1_all.deb
  to pool/main/libw/libwww-mechanize-ruby/libwww-mechanize-ruby-doc_0.7.5-1_all.deb
libwww-mechanize-ruby1.8_0.7.5-1_all.deb
  to pool/main/libw/libwww-mechanize-ruby/libwww-mechanize-ruby1.8_0.7.5-1_all.deb
libwww-mechanize-ruby1.9_0.7.5-1_all.deb
  to pool/main/libw/libwww-mechanize-ruby/libwww-mechanize-ruby1.9_0.7.5-1_all.deb
libwww-mechanize-ruby_0.7.5-1.diff.gz
  to pool/main/libw/libwww-mechanize-ruby/libwww-mechanize-ruby_0.7.5-1.diff.gz
libwww-mechanize-ruby_0.7.5-1.dsc
  to pool/main/libw/libwww-mechanize-ruby/libwww-mechanize-ruby_0.7.5-1.dsc
libwww-mechanize-ruby_0.7.5-1_all.deb
  to pool/main/libw/libwww-mechanize-ruby/libwww-mechanize-ruby_0.7.5-1_all.deb
libwww-mechanize-ruby_0.7.5.orig.tar.gz
  to pool/main/libw/libwww-mechanize-ruby/libwww-mechanize-ruby_0.7.5.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 470642@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ari Pollak <ari@debian.org> (supplier of updated libwww-mechanize-ruby package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.7
Date: Sat, 15 Mar 2008 16:09:31 -0400
Source: libwww-mechanize-ruby
Binary: libwww-mechanize-ruby libwww-mechanize-ruby1.8 libwww-mechanize-ruby1.9 libwww-mechanize-ruby-doc
Architecture: source all
Version: 0.7.5-1
Distribution: unstable
Urgency: low
Maintainer: Ari Pollak <ari@debian.org>
Changed-By: Ari Pollak <ari@debian.org>
Description: 
 libwww-mechanize-ruby - Ruby library to automate interaction with websites
 libwww-mechanize-ruby-doc - Documentation for libwww-mechanize-ruby
 libwww-mechanize-ruby1.8 - Automate interaction with websites (Ruby 1.8)
 libwww-mechanize-ruby1.9 - Automate interaction with websites (Ruby 1.9)
Closes: 470642
Changes: 
 libwww-mechanize-ruby (0.7.5-1) unstable; urgency=low
 .
   * New upstream release
   * Fix error when URI scheme has capital letters (Closes: #470642)
Files: 
 6aac0618a5bfa20d90c8668f680da4cc 868 libs extra libwww-mechanize-ruby_0.7.5-1.dsc
 ac7803e716c10d3705ab29f752d0caf8 66387 libs extra libwww-mechanize-ruby_0.7.5.orig.tar.gz
 e26a77d7c9c2636eb1eeaa5d33ee0d34 3543 libs extra libwww-mechanize-ruby_0.7.5-1.diff.gz
 1b8532e356d66e9513693b25ded9abaa 13708 libs extra libwww-mechanize-ruby_0.7.5-1_all.deb
 ea0b5fe399d77b8c699706e84519e668 23014 libs extra libwww-mechanize-ruby1.8_0.7.5-1_all.deb
 61bae98b4e3462859a0404cd249d34cd 23016 libs extra libwww-mechanize-ruby1.9_0.7.5-1_all.deb
 dc5a5acecedfe052a8cbaf3ee18a1c3e 632662 doc extra libwww-mechanize-ruby-doc_0.7.5-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH3DT6wO+u47cOQDsRA10XAKCcD/xhoavC3+HIvFVMRJv2omh4VQCgnvWF
KEyR3DKSYeULYfCQ6b5cCxE=
=MCRL
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 14 Apr 2008 07:29:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:58:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.